Skip to main content
POST
/
crm
Create a contact
curl --request POST \
  --url https://api.example.com/crm \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "Anna",
  "lastName": "Müller",
  "email": "anna.mueller@example.com",
  "phoneNumber": "+49 30 12345678",
  "tags": [
    "Lead",
    "Enterprise"
  ]
}
'
{
  "item": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "firstName": "<string>",
    "lastName": "<string>",
    "noShowCount": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "email": "<string>",
    "phoneNumber": "<string>",
    "language": "<string>",
    "tags": [
      "<string>"
    ],
    "notes": "<string>",
    "crmCompanyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "accountOwnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "additionalData": {}
  },
  "appointments": [
    {}
  ],
  "nextAppointmentIso": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API Key authentication using Bearer token (format: ak_live_...)

Body

application/json
firstName
string

Contact's first name

lastName
string

Contact's last name

email
string<email>

Contact's email address. Either email or phoneNumber must be provided.

phoneNumber
string

Contact's phone number. Either email or phoneNumber must be provided.

tags
string[]

Tags to categorize the contact

notes
string

Internal notes about the contact

crmCompanyId
string<uuid>

ID of the CRM company to associate with this contact

accountOwnerId
string<uuid>

ID of the user responsible for this contact

Response

Contact created

item
object
required
appointments
object[]
required

Past and upcoming appointments for this contact

nextAppointmentIso
string<date-time> | null

ISO date of the next upcoming appointment, if any